package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedLeave;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.service.IBreedLeaveService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 离场登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-leave")
@CrossOrigin
public class BreedLeaveController {
    @Autowired
    private IBreedLeaveService leaveService;
    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return leaveService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedLeave breedLeave) {
        return leaveService.add(breedLeave);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedLeave breedLeave) {
        return leaveService.edit(breedLeave);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return leaveService.remove(paramsMap);
    }

}
