package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.huimv.farm.musk.breed.entity.BreedVaccination;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 疫苗接种 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedVaccinationService extends IService<BreedVaccination> {

    Result listPage(Map<String, String> paramsMap);

    Result add(BreedVaccination vaccination);

    Result edit(BreedVaccination vaccination);

    Result remove(Map<String, String> paramsMap);

    Result listCount(Map<String, String> paramsMap);
}
