package com.huimv.farm.musk.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.farm.musk.entity.DevEnv;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.musk.entity.vo.DataVo;
import com.huimv.farm.musk.entity.vo.EnvDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface DevEnvMapper extends BaseMapper<DevEnv> {

    List<DevEnv> listDataDay(@Param(Constants.WRAPPER)QueryWrapper<DevEnv> queryWrapper);

    List<DevEnv> listData(@Param(Constants.WRAPPER)QueryWrapper<DevEnv> queryWrapper);

    List<EnvDataVo> listScreen(@Param(Constants.WRAPPER) QueryWrapper<DevEnv> queryWrapper);

    List<DataVo> listTem(@Param(Constants.WRAPPER) QueryWrapper<DevEnv> queryWrapper);

}
