package com.huimv.farm.musk.service;

import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.entity.DevEnv;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IDevEnvService extends IService<DevEnv> {

    Result pageDevEnv(Map<String, Object> map);

    Result listEnergy(Map<String, String> map);

    Result listHistory(Map<String, String> paramsMap);

    Result listScreen(Map<String, String> paramsMap);

    //大屏物联监测数据2
    Result listScreen2(Map<String, String> paramsMap);

    //大屏主页物联监测
    Result listByType(Map<String, String> paramsMap);

    //健康监测中的温度监测
    Result listAll(Map<String, String> paramsMap);
}
