package com.huimv.farm.musk.timer;

import com.huimv.farm.musk.breed.service.IBreedMuskInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


@Component
@EnableScheduling
public class UpdateDayAge {

    @Autowired
    private IBreedMuskInfoService muskInfoService;
    @Scheduled(cron = "0 0 23 * * ?")
    private void setDayAge(){
        System.out.println("--->更新日龄");
        muskInfoService.updateDayAge();
        System.out.println("--->更新成功");
    }
}
